commit:     247a478d211ffbff532dea41403dc3a2137d7246
Author:     Michael Palimaka <kensington <AT> gentoo <DOT> org>
AuthorDate: Fri Oct 28 14:30:59 2016 +0000
Commit:     Michael Palimaka <kensington <AT> gentoo <DOT> org>
CommitDate: Fri Oct 28 14:31:39 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=247a478d

www-client/qupzilla: version bump

Package-Manager: portage-2.3.2

 www-client/qupzilla/Manifest              |  1 +
 www-client/qupzilla/qupzilla-2.0.2.ebuild | 93 +++++++++++++++++++++++++++++++
 2 files changed, 94 insertions(+)

diff --git a/www-client/qupzilla/Manifest b/www-client/qupzilla/Manifest
index 054114a..05b5bc3 100644
--- a/www-client/qupzilla/Manifest
+++ b/www-client/qupzilla/Manifest
@@ -1,2 +1,3 @@
 DIST QupZilla-2.0.1.tar.xz 2700184 SHA256 
38b89d00ad235687ca1ad327f7f108aee2d85cdc047a78b6811dedff0d07850d SHA512 
5da50378f0129269ee322c8b8517797cc29abd272c65b39b96762dfd62c3ec1ac158d8b44deaf8158336d41f111fcda466ffa56511f6b56ab964e1ba36575b45
 WHIRLPOOL 
341e453733a69a3c298bc7fdb2bb0f67887c8a1fbda7ab64f6c9b8d8008b7577be261f9178c9b91cfbb8abb239f9c0e7cba295d3aad8b304e3aafb3f98dc737c
+DIST QupZilla-2.0.2.tar.xz 2705700 SHA256 
da4f9b3441386cfcc3000b950c40daa8818380d69b5054f156a345fdbac3855a SHA512 
52a549a58545fc67a213a6aba50772974e2558887cc32d56a702185170e0a6048ac8c9744e8d4803b7d7ad09bdbb59d8562992b201cd99833dd055ee2506c08a
 WHIRLPOOL 
e3ae7d05dcc329e53103d273d9882a44fc6f46568078343c78d98192b6e960c623331e307f6ba414371eff29c505c9881c80414eb2670d6bfeef2490ddeea74e
 DIST qupzilla-plugins-2016.05.02.tar.gz 425314 SHA256 
276491a89daf1b64d6eab861b54d313e85c815d322bf51d47491f00ad22f55bc SHA512 
b294ecb2372b3267603a43bc7412ab75d2cd29a8c4667331f0d2c74e3b0b99d0c2a005b9e4854c6d777894522bba9fb3b1607e85e8da6dcbaa760c9ddc6288f2
 WHIRLPOOL 
471807dc70dd3ea072f1e429a6e67ea97ecd5eadc02ac19debdcddfca4f5cb8e1767ad754aed1ff8a557f0734460a87b4e2d5e01ea57d07c473f48b006e32ef1

diff --git a/www-client/qupzilla/qupzilla-2.0.2.ebuild 
b/www-client/qupzilla/qupzilla-2.0.2.ebuild
new file mode 100644
index 00000000..cacbc21
--- /dev/null
+++ b/www-client/qupzilla/qupzilla-2.0.2.ebuild
@@ -0,0 +1,93 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PLUGINS_HASH='c332d306c0f6cf645c75eaf198d2fc5e12339e9e'
+PLUGINS_VERSION='2016.05.02' # if there are no updates, we can use the older 
archive
+
+inherit qmake-utils
+
+if [[ ${PV} == *9999 ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/QupZilla/${PN}.git";
+else
+       MY_P=QupZilla-${PV}
+       
SRC_URI="https://github.com/QupZilla/${PN}/releases/download/v${PV}/${MY_P}.tar.xz";
+       KEYWORDS="~amd64 ~x86"
+       S=${WORKDIR}/${MY_P}
+fi
+
+DESCRIPTION="A cross-platform web browser using QtWebEngine"
+HOMEPAGE="http://www.qupzilla.com/";
+SRC_URI+=" 
https://github.com/QupZilla/${PN}-plugins/archive/${PLUGINS_HASH}.tar.gz -> 
${PN}-plugins-${PLUGINS_VERSION}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+IUSE="dbus debug gnome-keyring kde libressl nonblockdialogs"
+
+RDEPEND="
+       >=dev-qt/qtconcurrent-5.6:5
+       >=dev-qt/qtcore-5.6:5
+       >=dev-qt/qtdeclarative-5.6:5[widgets]
+       >=dev-qt/qtgui-5.6:5
+       >=dev-qt/qtnetwork-5.6:5[ssl]
+       >=dev-qt/qtprintsupport-5.6:5
+       >=dev-qt/qtsql-5.6:5[sqlite]
+       >=dev-qt/qtwebchannel-5.6:5
+       >=dev-qt/qtwebengine-5.6:5[widgets]
+       >=dev-qt/qtwidgets-5.6:5
+       >=dev-qt/qtx11extras-5.6:5
+       x11-libs/libxcb:=
+       dbus? ( >=dev-qt/qtdbus-5.6:5 )
+       gnome-keyring? ( gnome-base/gnome-keyring )
+       kde? ( kde-frameworks/kwallet:5 )
+       libressl? ( dev-libs/libressl:= )
+       !libressl? ( dev-libs/openssl:0 )
+"
+DEPEND="${RDEPEND}
+       >=dev-qt/linguist-tools-5.6:5
+       virtual/pkgconfig
+"
+
+DOCS=( AUTHORS BUILDING.md CHANGELOG FAQ README.md )
+
+src_unpack() {
+       if [[ ${PV} == *9999 ]]; then
+               git-r3_src_unpack
+       fi
+       default
+}
+
+src_prepare() {
+       # get extra plugins into qupzilla build tree
+       mv "${WORKDIR}"/${PN}-plugins-${PLUGINS_HASH}/plugins/* 
"${S}"/src/plugins/ || die
+
+       # remove outdated prebuilt localizations
+       rm -rf bin/locale || die
+
+       # remove empty locale
+       rm translations/empty.ts || die
+
+       default
+}
+
+src_configure() {
+       # see BUILDING document for explanation of options
+       export \
+               QUPZILLA_PREFIX="${EPREFIX}/usr" \
+               USE_LIBPATH="${EPREFIX}/usr/$(get_libdir)" \
+               DEBUG_BUILD=$(usex debug true '') \
+               DISABLE_DBUS=$(usex dbus '' true) \
+               GNOME_INTEGRATION=$(usex gnome-keyring true '') \
+               KDE_INTEGRATION=$(usex kde true '') \
+               NONBLOCK_JS_DIALOGS=$(usex nonblockdialogs true '')
+
+       eqmake5
+}
+
+src_install() {
+       emake INSTALL_ROOT="${D}" install
+       einstalldocs
+}

Reply via email to